Package org.apache.commons.collections4.functors

# Class NotPredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.AbstractPredicate<T>
org.apache.commons.collections4.functors.NotPredicate<T>

Type Parameters:
  `T` - The type of the input to the predicate.

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`, `PredicateDecorator<T>`, `Predicate<T>`

public final class NotPredicate<T> extends AbstractPredicate<T> implements PredicateDecorator<T>, Serializable
Predicate implementation that returns the opposite of the decorated predicate.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotPredicate(Predicate<? super T> predicate)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Predicate<? super T>[]`
  `getPredicates()`
  Gets the predicate being decorated.
  `static <T> Predicate<T>`
  `notPredicate(Predicate<? super T> predicate)`
  Creates the not predicate.
  `boolean`
  `test(T object)`
  Evaluates the predicate returning the opposite to the stored predicate.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractPredicate

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

  ### Methods inherited from interface org.apache.commons.collections4.Predicate

  `evaluate`

- ## Constructor Details

  - ### NotPredicate

    public NotPredicate(Predicate<? super T> predicate)
    Constructor that performs no validation. Use `notPredicate` if you want that.
    Parameters:
      `predicate` - The predicate to call after the null check

- ## Method Details

  - ### notPredicate

    public static <T> Predicate<T> notPredicate(Predicate<? super T> predicate)
    Creates the not predicate.
    Type Parameters:
      `T` - The type that the predicate queries
    Parameters:
      `predicate` - The predicate to decorate, not null
    Returns:
      The predicate
    Throws:
      `NullPointerException` - if the predicate is null

  - ### getPredicates

    public Predicate<? super T>[] getPredicates()
    Gets the predicate being decorated.
    Specified by:
      `getPredicates` in interface `PredicateDecorator<T>`
    Returns:
      The predicate as the only element in an array
    Since:
      3.1

  - ### test

    public boolean test(T object)
    Evaluates the predicate returning the opposite to the stored predicate.
    Specified by:
      `test` in interface `Predicate<T>`
    Specified by:
      `test` in interface `Predicate<T>`
    Parameters:
      `object` - The input object
    Returns:
      true if predicate returns false